import { convertBytes32ToBigInt as e } from "../utils/bytes32.utils.mjs";
import "../utils/index.mjs";
//#region libs/shared/common/src/functions/web3/fetchSolanaMerkleTreeRootHash.ts
var t = async (t, n) => {
	let r = await t.account.merkle.fetch(n, "confirmed"), i = Number(e(r.rootIndex));
	return e(r.roots.at(i - 1));
};
//#endregion
export { t as fetchSolanaMerkleTreeRootHash };
